API Reference
Export Presets
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/settings/export-presets JWT API KeyGet export-presets
Query parameters
| Domain string | — |
| ImportCompatible boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/export-presets" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/settings/export-presets JWT API KeyCreate export-presets
Request body
application/json
{
"domain": "string",
"name": "string",
"fields": [
"string"
],
"importCompatible": false
}| domain string | — |
| name string | — |
| fields string[] | — |
| importCompatible boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/export-presets" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"domain": "string",
"name": "string",
"fields": [
"string"
],
"importCompatible": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/settings/export-presets/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/settings/export-presets/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/settings/export-presets/domains JWT API KeyGet domains
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/export-presets/domains" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu